ghc-9.6.3: The GHC API

Safe Haskell | Safe-Inferred
Language | Haskell2010

GHC.Driver.Env.KnotVars

Description

This data structure holds an updateable environment which is used when compiling module loops.

# Documentation

data KnotVars a Source #

Constructors

KnotVars |

Fields

- kv_domain :: [Module]
- kv_lookup :: Module -> Maybe a

NoKnotVars |

#### Instances

Instances details

Functor KnotVars Source # |
Instance details Defined in GHC.Driver.Env.KnotVars Methods fmap :: (a -> b) -> KnotVars a -> KnotVars b Source # (<$) :: a -> KnotVars b -> KnotVars a Source #
Outputable (KnotVars a) Source # |
Instance details Defined in GHC.Driver.Env.KnotVars Methods ppr :: KnotVars a -> SDoc Source #

emptyKnotVars :: KnotVars a Source #

knotVarsFromModuleEnv :: ModuleEnv a -> KnotVars a Source #

knotVarElems :: KnotVars a -> [a] Source #

lookupKnotVars :: KnotVars a -> Module -> Maybe a Source #

knotVarsWithout :: Module -> KnotVars a -> KnotVars a Source #